Graficos e PDF

(Container) #1

“JpGraph Error This PHP installation is not configured with the GD library. Please recompile PHP with GD support to run JpGraph. (Neither function imagetypes() nor imagecreatefromstring() does exist)”

Como resolver esse problema na geracao dos graficos e PDF ?

(Rodrigo Lins) #2

É preciso compilar o PHP com suporte ao GD.

Dê uma olhada neste link

http://www.netmake.com.br/site/baseknowledge/baseknowledge.php?id_topico=254

Rodrigo Lins.

(alcvieira) #3

to com o mesmo problema esse link tb n dá a solução… alguem sabe como resovler?

No diagnosis mostra que o GD n está instalado… ja li varios artigos para e quase
todos apontam para compilar o php com o GD mas n ha exemplos.

Grato

(ValterSouza) #4

Alguém tem alguma dica para nos dizer como é que se compila o PHP com suporte ao GD?

(rrma) #5

Alguém sabe como compilar o php no linux pra ter suporte a GD e JPeg?
Na net tem um monte de site dizendo que tem que compilar com um monte de parâmetros, mas ninguém se habilita a dizer como é que faz.
Alguém aqui saberia dizer?

Obrigado a todos.
Rodrigo

(Rodrigo Lins) #6

Boa Tarde,

Quando precisei compilar no linux o php com suporte ao GD, eu estava em sistema baseado no Debian, então pude utilizar o apt-get.
Se vocês estão no mesmo ambiente que o meu(debian), podem executar o seguinte comando:

apt-get install php5-gd

Espero ter ajudado.

Rodrigo Lins.